Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.map
Class MapObject

    java.lang.Object
      org.objectstyle.cayenne.map.MapObject

All Implemented Interfaces:
  CayenneMapEntry, XMLSerializable

Deprecated. Since 1.2 this class is unused.

    public abstract class MapObject

extends java.lang.Object
implements CayenneMapEntry, XMLSerializable

Superclass of DataMap objects. Provides a default implementation of CayenneMapEntry needed to implement a doubly linked maps.

Author:
  Andrei Adamchik

Field Summary
`protected java.lang.String` | `name` Deprecated.
`protected java.lang.Object` | `parent` Deprecated.

Constructor Summary
`MapObject()` Deprecated. Creates an unnamed MapObject.
`MapObject(java.lang.String name)` Deprecated.

Method Summary
`java.lang.String` | `getName()` Deprecated. Returns the name property of this object.
`java.lang.Object` | `getParent()` Deprecated. Returns the parent map.
`void` | `setName(java.lang.String name)` Deprecated.
`void` | `setParent(java.lang.Object parent)` Deprecated. Stores the parent map.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.objectstyle.cayenne.util.XMLSerializable
`encodeAsXML`

Field Detail

### name

    protected java.lang.String name

  Deprecated.

### parent

    protected java.lang.Object parent

  Deprecated.

Constructor Detail

### MapObject

    public MapObject()

  Deprecated.
  Creates an unnamed MapObject.

### MapObject

    public MapObject(java.lang.String name)

  Deprecated.

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Description copied from interface: `CayenneMapEntry`
  Returns the name property of this object.

  Specified by:
    `getName` in interface `CayenneMapEntry`
  Returns:
    name of this entry.

### getParent

    public java.lang.Object getParent()

  Deprecated.
  Description copied from interface: `CayenneMapEntry`
  Returns the parent map.

  Specified by:
    `getParent` in interface `CayenneMapEntry`

### setParent

    public void setParent(java.lang.Object parent)

  Deprecated.
  Description copied from interface: `CayenneMapEntry`
  Stores the parent map.

  Specified by:
    `setParent` in interface `CayenneMapEntry`

### setName

    public void setName(java.lang.String name)

  Deprecated.

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.